Rivet: Functions for Particles

| Rivet 3.1.9

Modules | Functions
Functions for Particles

## Modules
| Particle classifier functions
| Particle pair classifiers
| Is this particle species charged?
| Particle charge/sign comparison functions
| Non-PID particle properties, via unbound functions
| Particle classifier -> bool functors
| Unbound functions for filtering particles
| Particle pair functions
| Operations on collections of Particle

## Functions
bool | Rivet::containsPID (const Particles &parts, int id, bool abs=false)
| Check for pid membership in a list of particles.
bool | Rivet::isRadiative (const Particle &part)
| Check whether a particle is radiative.
bool | Rivet::cascadeContains (const Particles &parts, const vector< int > &pids, bool absolute, bool ignorephoton)
| Check whether a set of particles' decay chains can contain the requested list of pids.

## Detailed Description

## Function Documentation

## ◆ cascadeContains()

bool Rivet::cascadeContains | ( | const Particles & | parts,
|  | const vector< int > & | pids,
|  | bool | absolute,
|  | bool | ignorephoton
| ) |  |

Check whether a set of particles' decay chains can contain the requested list of pids.

Note
  if absolute is true, then only the absolute values of pids are compared.
  if ignorephoton is true, then photons are ignored when searching for the set of particles.

## ◆ containsPID()

bool Rivet::containsPID | ( | const Particles & | parts,
|  | int | id,
|  | bool | abs = `false`
| ) |  |
| inline

Check for pid membership in a list of particles.

Note
  if abs is true, then only abs pids are checked.

References Rivet::any().

Referenced by Rivet::isRadiative().

## ◆ isRadiative()

bool Rivet::isRadiative | ( | const Particle & | part | ) |
| inline

Check whether a particle is radiative.

Note
  A particle is considered radiative if (1) it has only one mother particle and (2) one of its siblings has the same pid as the mother particle.

References Rivet::Particle::children(), Rivet::containsPID(), Rivet::Particle::parents(), and Rivet::Particle::pid().